jQuery(function ($) {
    // http://www.quirksmode.org/js/cookies.html
    function createCookie(name, value, days) {
        var expires = "";
        if (days) {
            var date = new Date();
            date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
            expires = "; expires=" + date.toGMTString();
        }
        document.cookie = name + "=" + value + expires + "; path=" + window.CCM_REL + "/";
    }

    $(".territorySelect").change(function () {
        if (parseInt($(this).val()) >= 0) {
            createCookie("geoContentTerritoryPriority", $(this).val(), 365);
        } else {
            createCookie("geoContentTerritoryPriority", "", -365);
        }
        location.reload();
    });
});