<?php 
namespace Concrete\Package\GeoContent\Controller\SinglePage\Dashboard\GeoContent;

use Concrete\Core\Page\Controller\DashboardPageController;
use Concrete\Package\GeoContent\Src\Models\Resolver;
use Core;

class Resolvers extends DashboardPageController
{

    public function view()
    {
        $post = $this->post();
        if (!empty($post)) {
            if ($this->post('setActive')) {
                Resolver::setActive($this->post('activeResolver'));
                $activeResolver = Core::make('geo_content/resolver');
                $activeResolver->saveConfig($this->post());
            } else {
                $resolver = Resolver::findOneBy(array('handle' => $this->post('activeResolver')));
                $activeResolver = new $resolver->class;
            }
        } else {
            $activeResolver = Core::make('geo_content/resolver');
        }

        $resolvers = array();
        foreach (Resolver::findBy(array()) as $resolver) {
            $resolvers[$resolver->handle] = t($resolver->name);
        }

        $this->set('activeResolver', $activeResolver);
        $this->set('resolvers', $resolvers);
    }

}