<?php 
defined('C5_EXECUTE') or die('Access denied.');
/** @var Stack[] $stacks */
/** @var Collection $collection */
/** @var Area $area */
?>

<ul class="item-select-list" id="stacks-list-dialog">
    <?php 
    foreach ($stacks as $stack) {
        if ($stack->getCollectionID() !== $collection->getCollectionID()) {
            ?>
            <li>
                <a href="#"
                   data-btid="0"
                   data-supports-inline-add="no"
                   data-has-add-template="no"
                   data-cID="<?php echo  $collection->getCollectionID() ?>"
                   data-sID="<?php echo  $stack->getCollectionID() ?>"
                   data-block-id="<?php echo  $stack->getCollectionID() ?>"
                   data-block-type-handle="stack">
                    <?php echo  h($stack->getStackName()) ?>
                </a>
            </li>
            <?php 
        }
    }
    ?>
</ul>

<script>
    $(function () {
        $("#stacks-list-dialog").on("click", "a", function (e) {
            e.preventDefault();
            ConcreteEvent.publish('AddBlockListAddBlock', {
                $launcher: $(this)
            });
        })
    });
</script>