<?php 
defined('C5_EXECUTE') or die('Access denied.');

use Concrete\Core\Block\View\BlockView;

if (isset($territories)) {
    $form = Core::make('helper/form');
    echo '<select class="territorySelect">';
    echo '<option disabled value="-1" ' . ($activeTerritory->default ? 'selected' : '') .'>' . t('Change Territory') . '</option>';
    foreach ($territories as $territory) {
        echo '<option value="' . $territory['id'] . '" ' . ($activeTerritory->id == $territory['id'] ? 'selected' : '') .'>' . h($territory['name']) . '</option>';
    }
    echo '</select>';
}

if ($block) {
    $bv = new BlockView($block);
    $bv->setAreaObject($area);
    $bv->render('view');
}