<?php 
namespace Concrete\Package\GeoContent\Controller\Dialog;

use Area;
use Concrete\Core\Controller\Controller;
use Page;
use StackList;

class AddStackList extends Controller
{
    public $viewPath = '/dialogs/stacks';

    public function view()
    {
        $collection = Page::getByID($this->get('cID'));
        $area = Area::get($collection, $this->get('arHandle'));
        $stacks = new StackList();
        $stacks->filterByUserAdded();

        $this->set('stacks', $stacks->get());
        $this->set('collection', $collection);
        $this->set('area', $area);
    }

}