<?php 
defined('C5_EXECUTE') or die('Access denied.');

$form = Core::make('helper/form');
/** @var Concrete\Package\GeoContent\Src\Models\Variation $variation */
?>

<form method="post">
    <?php echo  Core::make('helper/validation/token')->output('variation_form') ?>

    <div class="form-group">
        <?php echo  $form->label('name', t('Name')) ?>
        <?php echo  $form->text('name', $variation->name) ?>
    </div>

    <div class="ccm-dashboard-form-actions-wrapper">
        <div class="ccm-dashboard-form-actions">
            <a href="<?php echo  URL::to('/dashboard/geo_content/variations') ?>" class="btn btn-default pull-left">
                <?php echo  t('Cancel') ?>
            </a>
            <button type="submit" class="btn btn-primary pull-right"><?php echo  t('Save') ?></button>
        </div>
    </div>
</form>