<?php 

namespace Concrete\Package\GeoContent\Src\Resolver;


abstract class BaseResolver implements ResolverInterface
{

    /**
     * Saves the location provider config
     * @param array $config Array of config options, usually the same as $_POST
     * @return void
     */
    public function saveConfig($config)
    {

    }

    /**
     * Called when the setup form is displayed.
     * @return null|string
     */
    public function renderSetupForm()
    {
        return null;
    }

}