<?php 
namespace Concrete\Package\GeoContent\Src\Resolver;

use Concrete\Core\Foundation\Service\Provider;
use Concrete\Package\GeoContent\Src\Models\Resolver;
use Core;

class ResolverServiceProvider extends Provider
{

    /**
     * Registers the services provided by this provider.
     * @return void
     */
    public function register()
    {
        $this->app->singleton('geo_content/resolver', function () {
            if ($active = Resolver::getActive()) {
                return Core::make($active->class);
            } else {
                return null;
            }
        });
    }

}