<?php 
defined('C5_EXECUTE') or die('Access denied.');

$form = Core::make('helper/form');
?>

<div class="ccm-ui">
    <form id="territory-import" method="post"
          action="<?php echo  URL::to('/package/geo_content/territory_utilities/import_values') ?>"
          enctype="multipart/form-data"
          target="import-iframe-target">
        <?php echo  Core::make('helper/validation/token')->output('territory_import') ?>
        <div style="padding: 10px">
            <iframe name="import-iframe-target" id="import-iframe-target" style="display:none"></iframe>
            <div class="control-group">
                <?php echo  $form->label('territory-import-file', t('Select CSV File')) ?>
                <div class="controls">
                    <input type="file" name="territory-import-file" id="territory-import-file" accept=".csv,.txt"/>
                </div>
            </div>
        </div>
    </form>

    <div class="dialog-buttons">
        <button class="btn btn-default" onclick="jQuery.fn.dialog.closeTop()"><?php echo t('Cancel')?></button>
        <button class="btn btn-success pull-right do-import-values"><?php echo  t('Import') ?></button>
    </div>
</div>